echo "Please enter version number (default 19.0b4):"
read version

if [ -z "$version" ]; then
  version="19.0b4"
fi

sudo SKIP_PACKAGE_CHECK=1 ~/Downloads/DaVinci_Resolve_Studio_${version}_Linux/DaVinci_Resolve_Studio_${version}_Linux.run

sudo dnf install libxcrypt-compat libcurl libcurl-devel mesa-libGLU -y

cd /opt/resolve/libs
sudo mkdir disabled-libraries
sudo mv libglib* disabled-libraries
sudo mv libgio* disabled-libraries
sudo mv libgmodule* disabled-libraries
